# LetterCDT::GlyphOutline Class Reference

Loads a glyph outline from a freetype face. More...

`#include <GlyphOutline.h>`

List of all members.

## Public Member Functions
| GlyphOutline (wchar_t charCode, FT_Face face)
| ~GlyphOutline (void)
| Destructor.
const std::vector< Point > & | GetPoints (void) const
| Get the points conforming the character.
const std::vector< Line > & | GetSegments (void) const
| Get the segments conforming the character.
const std::vector< int > & | GetContours (void) const
| Get the contours conforming the character.
const std::vector< ContourType > & | GetContoursType (void) const
| Get the type of contour: Inner or Outer. For example, 'a' has two contours the exterior of the letter (Outer) and the hole (Inner).
int | GetWidth (void) const
| Get the width metric.
int | GetAdvance (void) const
| Get the advance metric.

## Detailed Description

Loads a glyph outline from a freetype face.

## Constructor & Destructor Documentation

GlyphOutline::GlyphOutline | ( | wchar_t | charCode,
|  | FT_Face | face |
| ) |  |  |

Constructor

Parameters:

  | charCode | the character code
  | face | freetype face from where it has to loaded the character outline

## Member Function Documentation

int GlyphOutline::GetAdvance | ( | void |  | ) | const

Get the advance metric.

Returns:
  advance of the glyph

const std::vector< int > & GlyphOutline::GetContours | ( | void |  | ) | const

Get the contours conforming the character.

Note:
  vector layout: [S0, E0, S1, E1, ..., Sn, En] being Si start segment index, Ei end segment index

Returns:
  vector with indices of contours

const std::vector< ContourType > & GlyphOutline::GetContoursType | ( | void |  | ) | const

Get the type of contour: Inner or Outer. For example, 'a' has two contours the exterior of the letter (Outer) and the hole (Inner).

Returns:
  vector with contours types

const std::vector< Point > & GlyphOutline::GetPoints | ( | void |  | ) | const

Get the points conforming the character.

Returns:
  vector of points

const std::vector< Line > & GlyphOutline::GetSegments | ( | void |  | ) | const

Get the segments conforming the character.

Returns:
  vector of lines

int GlyphOutline::GetWidth | ( | void |  | ) | const

Get the width metric.

Returns:
  width of the glyph

The documentation for this class was generated from the following files:

- src/letterCdt/GlyphOutline.h
- src/letterCdt/GlyphOutline.cpp